org.apache.ignite.ml.environment.logging

## Enum MLLogger.VerboseLevel

- java.lang.Object
- - java.lang.Enum<MLLogger.VerboseLevel>
  - - org.apache.ignite.ml.environment.logging.MLLogger.VerboseLevel

- All Implemented Interfaces:
    Serializable, Comparable<MLLogger.VerboseLevel>
  Enclosing interface:
    MLLogger

      public static enum MLLogger.VerboseLevel
      extends Enum<MLLogger.VerboseLevel>

  Logging verbose level.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HIGH` High.
    `LOW` Low.
    `OFF` Disabled.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MLLogger.VerboseLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MLLogger.VerboseLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OFF

          public static final MLLogger.VerboseLevel OFF

      Disabled.

    - #### LOW

          public static final MLLogger.VerboseLevel LOW

      Low.

    - #### HIGH

          public static final MLLogger.VerboseLevel HIGH

      High.

  - ### Method Detail

    - #### values

          public static MLLogger.VerboseLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MLLogger.VerboseLevel c : MLLogger.VerboseLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MLLogger.VerboseLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020